"""
 *
 * This file is part of rasdaman community.
 *
 * Rasdaman community is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Rasdaman community is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU  General Public License for more details.
 *
 * You should have received a copy of the GNU  General Public License
 * along with rasdaman community.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright 2003 - 2016 Peter Baumann / rasdaman GmbH.
 *
 * For more information please see <http://www.rasdaman.org>
 * or contact Peter Baumann via <baumann@rasdaman.com>.
 *
"""
import os


class ConfigManager:
    # The version of the installer. <IMPORTANT> Make sure version.txt coincides with the version here </IMPORTANT>
    version = "1.1.0"
    # The file in which to write the history of the commands
    history_file = "/tmp/rasdaman.install.log"
    # The default user to be used to execute actions when no user is provided
    default_user = "rasdaman"
    # The directory in which the installer is present
    installer_directory = os.path.dirname(os.path.abspath(__file__))
    # The installer url
    installer_url = "http://download.rasdaman.org/installer/"
    # The name of the folder that is used when dealing with binaries. E.g. for a binary package it is the name of the
    # folder inside the archive.
    binary_folder = "rasdaman"
    # A token to replace absolute paths when packaging or depackaging. It should be unique enough not to conflict
    # with other strings in the configuration files
    absolute_path_token = "{ABSOLUTE_PATH_PLACEHOLDER}"
    # Indicator to check if the installer should check for updates before running
    check_for_updates = False
    # Is petascope available? Normally should be True, but there can be exceptions
    petascope_available = True
    # Temporary directory
    tmp_directory = '/tmp'
