#!/bin/bash

export IMAGE_TAG=rasdaman-img
export CONTAINER_TAG=rasdaman-cnt

error() {
    echo "$*"
    exit 1
}

docker build --rm=true --tag="$IMAGE_TAG" . || error "failed building image $IMAGE_TAG."

mkdir ~/docker.${CONTAINER_TAG}

docker run -d --name="$CONTAINER_TAG" -p 2022:22 -p 28080:8080 --cap-add SYS_ADMIN -e "container=docker" \
           -v /sys/fs/cgroup:/sys/fs/cgroup:ro -v /tmp/$(mktemp -d):/run -u $(id -u) $IMAGE_TAG

ssh-keygen -f "/root/.ssh/known_hosts" -R [localhost]:2022
