#!/bin/bash

SOURCE="${BASH_SOURCE[0]}"
while [ -h "$SOURCE" ] ; do SOURCE="$(readlink "$SOURCE")"; done
SCRIPT_DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"

readonly INSTALLER_GUEST_PATH="/vagrant/rasdamaninstaller"
readonly INSTALLER_WORKING_DIR="/tmp"
readonly INSTALLER_WORKING_PATH="$INSTALLER_WORKING_DIR/rasdamaninstaller"

installpkg()
{
  local -r pkg="$1"
  if ! type "$pkg" > /dev/null 2>&1; then
    if [ -f /etc/centos-release ]; then
      yum install -y -q "$pkg"
    else
      apt-get install -y -q "$pkg"
    fi
  fi
}

if [ -d "$INSTALLER_GUEST_PATH" ]; then
    cp -a "$INSTALLER_GUEST_PATH" "$INSTALLER_WORKING_DIR"
    pushd "$INSTALLER_WORKING_PATH" > /dev/null
    if [ ! -f /etc/centos-release ]; then
      apt-get update
    fi
    for p in git wget python unzip; do
      installpkg $p
    done
    [ -f /etc/init.d/rasdaman ] && service rasdaman stop
    popd > /dev/null
else
    echo "Installer not found at '$INSTALLER_GUEST_PATH'."
fi

bashrc=/home/vagrant/.bashrc
if [ -f "$bashrc" ]; then
  echo "updating $bashrc..."
  sed -i 's/#alias ll=/alias ll=/g' "$bashrc"
fi

if [ -f /vagrant/rmankey -a ! -f /opt/rasdaman/etc/rmankey ]; then
  mkdir -p /opt/rasdaman/etc/
  cp /vagrant/rmankey /opt/rasdaman/etc/
fi

echo "done."
