from .debian9 import Debian9TPInstaller
from util.string_util import replace_in_list


class Debian10TPInstaller(Debian9TPInstaller):
    def __init__(self, profile):
        """
        TP Installer for Ubuntu 18.04
        :param Profile profile: the installation profile
        """
        super(Debian10TPInstaller, self).__init__(profile)
        self.pkg_libssl = 'libssl1.1'
        self.pkg_libgrib_build = 'libeccodes-dev'
        self.pkg_libgrib_run = 'libeccodes0'
        self.pkg_gdal_python = ['GDAL==2.2.3',
                                '--global-option=build_ext',
                                '--global-option=-I/usr/include/gdal']
        self.override_pygrib_version = False
        self.pkg_postgis = []
