from .ubuntu1804 import Ubuntu1804TpInstaller


class Ubuntu2004TpInstaller(Ubuntu1804TpInstaller):
    def __init__(self, profile):
        """
        TP Installer for Ubuntu 18.04
        :param Profile profile: the installation profile
        """
        super(Ubuntu2004TpInstaller, self).__init__(profile)
        self.python_pkg = 'python3'
        self.python_dev_pkg = 'libpython3-dev'
        self.pkg_gdal_python = ['GDAL==3.0.4']
        self.pkg_netcdf_python = 'netCDF4==1.3.1'
        self.pkg_grpcio_python = 'grpcio==1.30.0'
        self.pkg_libguice = 'libguice-java'
        self.pkg_postgis = ['postgis',
                            'postgresql-12-postgis-3',
                            'postgresql-12-postgis-3-scripts']
